# std::istreambuf_iterator::operator++, operator++(int)

From cppreference.com
< cpp‎ | iterator‎ | istreambuf iterator

istreambuf_iterator& operator++(); | (1) |
/* unspecified */ operator++(int); | (2) |

Advances the iterator by calling sbuf_->sbumpc() where `sbuf_` is the stored pointer to the stream buffer.

The behavior is undefined if the iterator is end-of-stream iterator.

### Parameters

(none)

### Return value

1) *this.
2) An unspecified struct `proxy` holding the current character obtained via operator*() for later retrieval. `proxy` is implicitly convertible to `CharT`.
`proxy` also holds a pointer to the stream buffer. `istreambuf_iterator` can be constructed from `proxy`, which is equivalent to constructing the `istreambuf_iterator` from the stream buffer pointer held by `proxy`.

### Exceptions

(none)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/iterator/istreambuf_iterator/operator_arith&oldid=88374"